Package com.scriptel.proscript.input

## Class Coordinate

- java.lang.Object
- - com.scriptel.proscript.input.Coordinate

- Direct Known Subclasses:
    `ExtendedCoordinate`

      public class Coordinate
      extends java.lang.Object

  This class represents a basic coordinate coming from a ScripTouch device.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `Coordinate​(boolean penDown, boolean dataSource, int x, int y)` | Protected constructor, used by children.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getX()` | X coordinate
    `int` | `getY()` | Y coordinate
    `boolean` | `isDataSource()` | Data source?
    `boolean` | `isPenDown()` | Is the pen down?
    `java.lang.String` | `toString()` | Prints this object as a human readable string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Coordinate

          protected Coordinate​(boolean penDown,
                               boolean dataSource,
                               int x,
                               int y)

      Protected constructor, used by children.
      Parameters:
        `penDown` - Pen down.
        `dataSource` - Data source
        `x` - X coordinate
        `y` - Y coordinate.

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Prints this object as a human readable string.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Human readable string.

    - #### isPenDown

          public boolean isPenDown()

      Is the pen down?
      Returns:
        the penDown

    - #### isDataSource

          public boolean isDataSource()

      Data source?
      Returns:
        the dataSource

    - #### getX

          public int getX()

      X coordinate
      Returns:
        the x

    - #### getY

          public int getY()

      Y coordinate
      Returns:
        the y